/*
 * RFCNB Standard includes ...
 *
 *
 *  SMBlib Standard Includes
 *
 *  Copyright (C) 1996, Richard Sharpe
 *
 * One day we will conditionalize these on OS types ...
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __SMBLIB_STD_DEFINES_H
#define __SMBLIB_STD_DEFINES_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <signal.h>
#include <errno.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/cdefs.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <tcp.h>

#if defined(DJGPP) || defined(__WATCOMC__) || defined(__HIGHC__) || defined(__DMC__)
#include <unistd.h>
#endif

#ifndef max
#define max(a,b)  ((a) < (b) ? (b) : (a))
#endif

#ifndef INADDR_NONE
#define INADDR_NONE -1
#endif

#ifndef DIM
#define DIM(x)      (sizeof(x)/sizeof(x)[0])  /* array dimension */
#endif

#ifndef ARGSUSED
#define ARGSUSED(x) ((void)x)
#endif

#if !defined(DJGPP)
#define bzero(foo, size)  memset ((void*)(foo), 0, (size_t)(size))
#endif

#ifndef TRUE
#define TRUE    1
#endif

#ifndef FALSE
#define FALSE   0
#endif

#define SOCKET_CLOSE(s)          close_s (s)
#define SOCKET_READ(s,buf,len)   read_s (s,buf,len)
#define SOCKET_WRITE(s,buf,len)  write_s (s,buf,len)
#define SOCKET_WRITEV(s,v,c)     writev_s (s,v,c)
#define BOOL                     int

typedef short          int16;
typedef unsigned short uint16;
typedef unsigned long  uint32;

typedef unsigned char  UCHAR;
typedef unsigned short UWORD;
typedef unsigned long  ULONG;

#endif /* __SMBLIB_STD_DEFINES_H */

